Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043978
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2020-05-07 13:202020-05-21 13:09
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revision6c4fa9f73df9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043978: Remove "classic popup tree view" which has been obsolete by "Tree Extension" project in 14Q2

DescriptionThe "Tree Extension" project from 14Q2 release implemented:
- Adding new Tree's using modules instead of needing to modify Openbravo core java files
- It also re-implemented the UI for Tree's using modern technology (smartclient) instead of old manually coded HTML inside a 'popup'.

Back then the old implementation was kept available if the preference OBUIAPP_UseClassicTreeView: "Use Classic Popup Tree" is set.

The old implementation should be removed as it is now:
- 6 years later
- The old code is missing all the project benefits (better UI, extendable cleanly)

Steps To Reproducehttps://issues.openbravo.com/view.php?id=25906 [^]
http://wiki.openbravo.com/wiki/Projects/Tree_Extension/Functional_Specifications [^]
Proposed SolutionDelete the preference and the old implementation.
Behavior would be that instances still using the old implementation today would be silently switched to the 'new UI'.

It would be possible to add either on top:

- WAD validation to inform during compilation if that preference is still set
- Add BuildValidation to stop update if that preference is set to ensure people
are clearly notified.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00259063.0PR14Q2 closedAugustoMauch Tree Extension Project 
depends on defect 0044010 closedplatform API change: old tree implementation 
blocks design defect 0032688 acknowledgedplatform remove unused resources 
blocks design defect 0044014 newplatform remove obsolete DHTMLgoodies libraries 

-  Notes
(0119696)
alostale (developer)
2020-05-08 13:08

MR: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/70 [^]
(0120127)
alostale (developer)
2020-05-21 12:36

Discussed with support no known users of old implementation so it isn't worth the effort to do any WAD/Build validation
(0120130)
hgbot (developer)
2020-05-21 13:03

Repository: erp/devel/pi
Changeset: 6c4fa9f73df9b55d84749715efa70a5cdf5fb0af
Author: Stefan Huehner <stefan.huehner <at> openbravo.com>
Date: Fri May 08 12:49:45 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6c4fa9f73df9b55d84749715efa70a5cdf5fb0af [^]

fixed FR-43978: remove obsolete tree implementation

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_REF_LIST.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewTab.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src/org/openbravo/erpCommon/utility/WindowTree_data.xsql
R src/org/openbravo/erpCommon/utility/WindowTree.html
R src/org/openbravo/erpCommon/utility/WindowTree.java
R src/org/openbravo/erpCommon/utility/WindowTree.xml
R src/org/openbravo/erpCommon/utility/WindowTreeChecks.java
R src/org/openbravo/erpCommon/utility/WindowTreeChecksClient.java
R src/org/openbravo/erpCommon/utility/WindowTreeChecks_data.xsql
R src/org/openbravo/erpCommon/utility/WindowTreeUtility.java
---

- Issue History
Date Modified Username Field Change
2020-05-07 13:20 shuehner New Issue
2020-05-07 13:20 shuehner Assigned To => platform
2020-05-07 13:20 shuehner Modules => Core
2020-05-07 13:20 shuehner Triggers an Emergency Pack => No
2020-05-08 13:07 alostale Relationship added related to 0025906
2020-05-08 13:08 alostale Relationship added blocks 0032688
2020-05-08 13:08 alostale Note Added: 0119696
2020-05-08 13:24 alostale Relationship added depends on 0044010
2020-05-08 13:57 alostale Relationship added blocks 0044014
2020-05-21 12:36 alostale Note Added: 0120127
2020-05-21 13:03 hgbot Checkin
2020-05-21 13:03 hgbot Note Added: 0120130
2020-05-21 13:03 hgbot Status new => resolved
2020-05-21 13:03 hgbot Resolution open => fixed
2020-05-21 13:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6c4fa9f73df9b55d84749715efa70a5cdf5fb0af [^]
2020-05-21 13:09 alostale Assigned To platform => shuehner
2020-05-21 13:09 alostale Review Assigned To => alostale
2020-05-21 13:09 alostale Status resolved => closed
2020-05-21 13:09 alostale Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker